#ifndef UNN_SYSTEM_PROTOS
#define UNN_SYSTEM_PROTOS
/* Prototypes for functions defined in UNN_system.c  */

void UNN_NewList(struct List * );

void UNN_AddHead(struct List * , struct Node * );

void UNN_AddTail(struct List * , struct Node * );

struct Node * UNN_RemHead(struct List * );

struct Node * UNN_RemTail(struct List * );

void UNN_Remove(struct Node * );

void UNN_SwapNodes(struct Node * , struct Node * );

void UNN_FreeList(struct List * );

void UNN_FreeLVList(struct List * );

struct Node * UNN_AllocNode(ULONG );

struct List * UNN_AllocListHeader(ULONG );

void UNN_FreeNode(struct Node * );

void UNN_FreeListHeader(struct List * );

void UNN_FreeMinList(struct MinList * );

int UNN_CountNodes(struct List * );

struct List* UNN_MergeLists(struct List* ,struct List* );

#endif
