#ifndef D4_VAR
#define D4_VAR

struct DeniseHandle
{
	struct MinList LocaleList;
	void (*Print)(char* text);
	void (*Report)(char* text);
	int ErrorCode;
	int WarnCode;
	char Message[DENISE_SYS_BUFSIZE];
	char output[DENISE_SYS_BUFSIZE];

	struct Language language;
	struct Syntax syntax;
	struct FactDatabase *facts;
	struct LogicDatabase logic;
	struct Meaning *meanings;

	struct CacheMemory cache;

	// konfiguracja
	struct ViewParams viewparams;
	struct SyntaxParams syntaxparams;
	struct LogbookParams logbookparams;

	int Supervisor;

	char LanguagesDir[255];
	char LogicDir[255];
	char FactsDir[255];
	char LogbookDir[255];

	char Prefix[256];
};

#endif
